{% extends "::admin.html.twig" %}

{% block title %}{% if edit %}Редактирование статьи{% else %}Новая статья{% endif %}{% endblock %}

{% block js %}
<script src="{{ asset('ckeditor/ckeditor.js') }}" type="text/javascript"></script>
{% endblock %}

{% block body %}
{% form_theme form 'NeagMainBundle:Form:fields.html.twig' %}
<style>
.markItUp  {
    width: 700px;
}
</style>
<form class="form" id="form-announce" action="{{ action }}" method="post" {{ form_enctype(form) }}>

    {% if image_src %} 
    <div id="form-announce-image">    
        <img src="{{ asset(image_src) }}" width="{{image_width}}" height="{{image_height}}" border="0" />
    </div>
    <div id="form-announce-image-comment">
        Текущее изображение
    </div>
    <div id="form-announce-image-remove">
        <input type="checkbox" name="remove_image" value="remove_image" /> Удалить
    </div>
    <hr style="clear: both;" /> 
    {% endif %}

    {{ form_widget(form) }}

    {% if not edit %}
    <input type="submit" name="submit" value="Добавить новую статью" id="submit2" class="form-submit" style="display: none;" />
    <input type="button" name="submit" value="Добавить новую статью" id="submit" class="form-submit" />
    {% else %}
    <input type="submit" name="submit" value="Внести изменения" id="submit2" class="form-submit" style="display: none;" />
    <input type="button" name="submit" value="Внести изменения" id="submit" class="form-submit" />
    {% endif %}
</form>

<div id="dialog-confirm" title="Объёмная публикация" style="display: none; width: 500px;">
  <p>
    <span class="ui-icon ui-icon-alert" style="float: left; margin: 0 7px 20px 0;"></span>
    <span id="dialog-confirm-message"></span>
  </p>
</div>

<script type="text/javascript">
article_more_chars = {{ article_more_chars }};

// Подсчёт кол-ва символов в текстовом поле
function count_body_chars () {
    //alert('chp 2');
    value = $('#form_content').val();
    //alert(value);
    return value.length;
}
function count_body_more_tags () {
    //alert('chp 2');
    value = $('#form_content').val().toLowerCase();
    return (value.split('[more]').length - 1);
}
function count_body_recommended_more_tags () {
    d = 0;
    d = count_body_chars()/article_more_chars;
    return Math.floor(d);
}

$('#form_content').keyup(function(){
    count = count_body_chars();
    more_tags = count_body_more_tags();
    recommended_more_tags = count_body_recommended_more_tags();
    $('#form-content-counts-count').html(count);
    $('#form-content-counts-more').html(more_tags+'/'+recommended_more_tags);
    //alert(count);
})

$('#submit').click(function(){
    count = count_body_chars();
    more_tags = count_body_more_tags();
    recommended_more_tags = count_body_recommended_more_tags();
    if (more_tags < recommended_more_tags) {
        // Мало тегов
        message = 'Большая публикация. Рекомендуется поместить '+recommended_more_tags+' тегов "[more]". Сейчас в тексте тегов - '+more_tags+'. Вы хотите продолжить?';
        $('#dialog-confirm-message').html(message); 
        $( "#dialog-confirm" ).dialog({
          resizable: false,
          height: 240,
          modal: true,
          buttons: {
            "Продолжить": function() {
              // Отправка формы
              $('#submit2').click();
            },
            "Вернуться к редактированию": function() {
              $( this ).dialog( "close" );
            }
          }
        });
    } else {
        // Отправка формы
        $('#submit2').click();
    }
});

$(document).ready(function() { 
    /*   
    $('.form label[for="form_teaser"]').css('float', 'none');
    $('.form label[for="form_teaser"]').css('clear', 'both');
    $('.form label[for="form_body"]').css('float', 'none');
    $('.form label[for="form_body"]').css('clear', 'both'); 
    $('#form_teaser').css('width', '670px'); 
    $('#form_body').css('width', '670px');
    $('#form_socialBody').css('width', '670px');
    $('.form textarea').markItUp(bbcodeSettings);   
    */
    //$('#form-announce #form_yandexBody').parent().find('label').css('float', 'none');
    //$('#form-announce #form_yandexBody').parent().find('textarea').css('clear', 'both');
    CKEDITOR.replace('form_yandexBody');
    $('#form-announce #form_content').parent().find('textarea').after('<div id="form-announce-content-toggle"><a href="javascript:create_ckeditor()">Переключиться в режим расширенного форматирования</a></div>');
    $('#form-announce #form_content').parent().find('textarea').after('<div id="form-content-counts" style="float: left; margin-bottom: 10px;"><table border="0" cellsapcing="0" cellpadding="0"><tr><td align="left" valign="top">Кол-во символов:</td><td align="left" valign="top" id="form-content-counts-count">0</td><td style="padding-left: 20px;" align="left" valign="top">Тегов "[more]":</td><td align="left" valign="top" id="form-content-counts-more">0/0</td></tr></table></div>');
    // Подсчёт кол-ва символов в текстовом поле
    count = count_body_chars();
    more_tags = count_body_more_tags();
    recommended_more_tags = count_body_recommended_more_tags();
    $('#form-content-counts-count').html(count);
    $('#form-content-counts-more').html(more_tags+'/'+recommended_more_tags);
});
function create_ckeditor () {
    CKEDITOR.replace('form_content');
    $('#form-announce-content-toggle').html('<a href="javascript:destroy_ckeditor()">Переключиться в режим обычного форматирования</a>');
}
function destroy_ckeditor () {
    CKEDITOR.instances['form_content'].destroy(); 
    $('#form-announce-content-toggle').html('<a href="javascript:create_ckeditor()">Переключиться в режим расширенного форматирования</a>');   
}
</script>
{% endblock %}
